package com.post.excel.create;

import lombok.Data;

@Data
public class PostCheckBean {


    public PostCheckBean(int index, Integer type) {
        this.type = type;
//        this.serialNumber = "序号-" + index;
        this.serialNumber = index;
        this.postCheckedContent = "检查内容-" + index;
//        this.postCheckedStandard = "检查标准-" + index;
//        this.postCheckedMethod = "检查方法-" + index;
        this.postCheckedStandard = "1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n" +
                "2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n" +
                "3.是否有明确的任职或上岗条件；\n" +
                "4.工作标准是否有定性指标、定量指标。\n" +
                "5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。";
        this.postCheckedMethod = "查文件：\n" +
                "1.抽查岗位相关工作记录、审核审批记录；\n" +
                "2.岗位责任制清单及审核记录；\n" +
                "3.岗位说明书及审核记录；\n" +
                "4.岗位相关考核及奖惩文件；\n" +
                "5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n" +
                "访谈：访谈岗位员工意见。";
        this.postCheckedResult = "检查结果-" + index;
    }


    /**
     * 序号
     */
    private Integer serialNumber;

    /**
     * 检查项目
     */
    private Integer type;

    /**
     * 检查内容
     */
    private String postCheckedContent;

    /**
     * 检查标准
     */
    private String postCheckedStandard;

    /**
     * 检查方法
     */
    private String postCheckedMethod;

    /**
     * 检查结果
     */
    private String postCheckedResult;

    public String getTypeView(){

        switch (type){
            case 6:
                return "岗位责任制文件完整性与适宜性";

                case 5:
                return "任职资格与能力素质要求符合性";

                case 1:
                return "业务职责有效性";

                case 2:
                return "党建及党风廉政建设职责有效性";

                case 3:
                return "安全环保职责有效性";

                case 4:
                return "合规与保密职责有效性";
        }
        return "Other";
    }
}
